For the complete documentation index, see llms.txt. This page is also available as Markdown.

singleFile

Generate single audio file

post

Generates a single audio file with specified duration and parameters

Authorizations
MuzaicAPI-Secret-KeystringRequired
Body
durationinteger · min: 1 · max: 300Optional

Duration in seconds

Example: 30
tagsinteger[]Optional

Array of tag IDs

Example: [1,2,3]
normalizebooleanOptional

Whether to normalize audio

Example: true
Responses
200

Single file generated successfully

application/json
apiVersionstringOptionalExample: 1.0.0
mp3stringOptional

Base64 encoded MP3 audio data

Example: data:audio/mp3;base64,SUQzBAAAAAAAI1RTU0UAAAAPAAADTGF2ZjU4Ljc2LjEwMAAAAAAAAAAAAAAA/+M4wAAAAAAAAAAAAEluZm8AAAAPAAAAAwAAAb...
audioDurationnumber · floatOptional

Audio duration in seconds

Example: 30
hashstringOptional

Generated audio hash

Example: abc123def456
statusstringOptional

Generation status

Example: completed
tokensUsedintegerOptional

Number of tokens consumed

Example: 30
executionTimenumber · floatOptional

Execution time in seconds

Example: 2.5
post/singleFile
POST /singleFile HTTP/1.1
Host: m10.muzaic.ai
MuzaicAPI-Secret-Key: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 115

{
  "duration": 30,
  "tags": [
    1,
    2,
    3
  ],
  "params": {
    "intensity": 7,
    "tempo": 8,
    "tone": 5,
    "variance": 5,
    "rhythm": 5
  },
  "normalize": true
}
{
  "apiVersion": "1.0.0",
  "mp3": "data:audio/mp3;base64,SUQzBAAAAAAAI1RTU0UAAAAPAAADTGF2ZjU4Ljc2LjEwMAAAAAAAAAAAAAAA/+M4wAAAAAAAAAAAAEluZm8AAAAPAAAAAwAAAb...",
  "audioDuration": 30,
  "hash": "abc123def456",
  "status": "completed",
  "tokensUsed": 30,
  "executionTime": 2.5
}

Last updated

Was this helpful?